## python-glpk 0.1.16

=== Makefile ===
PYVERS := $(shell pyversions -d)

all:
	echo $(PYTHON)
	swig -python  glpkpi.i
	gcc -Wall -c -fPIC  glpkpi_wrap.c glpkpi.c -DHAVE_CONFIG_H -I/usr/include/$(PYVERS) -I/usr/lib/$(PYVERS)/config
	gcc -Wall -shared glpkpi.o  glpkpi_wrap.o -lm -lglpk  -o _glpkpi.so

clean:
	rm -f *.o *~ _*.so glpkpi_wrap.c

## python-glpk 0.1.38

=== Makefile ===
PYVERS := $(shell pyversions -d)
DIR := $(shell basename `pwd`)

all:
	echo $(PYTHON)
	swig -python  glpkpi.i
	gcc -Wall -c -fPIC  glpkpi_wrap.c glpkpi.c -DHAVE_CONFIG_H -I/usr/include/$(PYVERS) -I/usr/lib/$(PYVERS)/config
	gcc -Wall -shared glpkpi.o  glpkpi_wrap.o -lm -lglpk  -o _glpkpi.so

web:	clean
	echo $(DIR)
	( cd .. && pwd && tar zcvf $(DIR).tar.gz $(DIR)/* )
	rm -rf ~/public_html/code/python-glpk/src/*
	cp -rp ../$(DIR).tar.gz ../$(DIR).orig.tar.gz
	cp -rp ../$(DIR).tar.gz ~/public_html/code/python-glpk
	cp -rp ./* ~/public_html/code/python-glpk/src

clean:
	rm -f *.o *~ *.pyc _*.so glpkpi_wrap.c glpkpi.py

## python-glpk 0.4.43

=== Makefile ===
DIR := $(shell basename `pwd`)

deb:	clean
	debuild

new:	clean
	rm -rf debian
	( cd .. && pwd && tar zcvf $(DIR).tar.gz $(DIR)/* )
	cp -p ../$(DIR).tar.gz ../$(DIR).orig.tar.gz

web:	deb
	cp -p ../$(DIR).tar.gz ~/public_html/code/python-glpk
	cp -p ../$(DIR)-*.deb ~/public_html/code/python-glpk

clean:
	make -C src clean

.PHONY: install new deb web clean

=== debian/changelog ===
python-glpk (0.4.43-2) unstable; urgency=low

  * Corrected debian/control file (Closes: #573696).
  * Corrected debian/control file (Closes: #578424).

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Tue, 18 May 2010 10:03:38 +0100

python-glpk (0.4.43-1) unstable; urgency=low

  * Initial release: solved some issues related to debianization.
  * Cannot be reproduced with current version of glpk (Closes: #577405). 
  * Dependencies fixed; now depends on glpk 4.43 (Closes: #578424).
  * Cannot be reproduced (Closes: #548267).

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Wed, 12 May 2010 11:53:48 +0100

python-glpk (0.3.43-4) unstable; urgency=low

  * added dependency to python-ply

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Tue, 4 May 2010 11:30:15 +0100

python-glpk (0.3.43-3) unstable; urgency=low

  * using a modified local copy of glpk.h for compiling in 64 bit machines

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Tue, 3 May 2010 10:30:15 +0100

python-glpk (0.3.43-2) unstable; urgency=low

  * bug corrections on the python Gnu MathProg's parser

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Tue, 29 Apr 2010 17:30:15 +0100

python-glpk (0.3.43-1) unstable; urgency=low

  * implemented support for modifying glpk model's data in python
  * updated interface to GLPK version 4.43
  * cleaned up code for this version

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Tue, 20 Apr 2010 18:30:15 +0100

python-glpk (0.1.38-1) unstable; urgency=low

  * Version compatible with glpk v4.38

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Sat, 01 Aug 2009 21:14:15 +0100

python-glpk (0.1.16-4) unstable; urgency=low

  * debian/control:
    - changed section to 'math'

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Tue, 29 May 2007 04:40:00 +1000

python-glpk (0.1.16-3) unstable; urgency=low

  * debian/changelog:
    - Copy maintainer from control file to make it lint-free.

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Tue, 29 May 2007 04:30:00 +1000

python-glpk (0.1.16-2) unstable; urgency=low

  * debian/control:
    - Build-Depends on versioned make >= 3.8
    - Build-Depends on debhelper 5.0.37.2 as per lintian suggestion
    - Build-Depends on libglpk-dev greater or equal to 4.16

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Tue, 29 May 2007 04:23:29 +1000

python-glpk (0.1.16-1) unstable; urgency=low

  * new upstream version 0.1.16

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Tue, 29 May 2007 02:37:29 +1000

python-glpk (0.1.15-1) unstable; urgency=low

  *  new upstream version 0.1.15

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Tue, 22 May 2007 01:27:25 +1000

python-glpk (0.1-1) unstable; urgency=low

  * Initial release (Closes: #400690)

 -- Jan Alonzo <jmalonzo@unpluggable.com>  Fri, 16 Mar 2007 20:03:20 +1100

=== debian/control ===
Source: python-glpk
Section: python
Priority: extra
Maintainer: Joao Pedro Pedroso <jpp@fc.up.pt>
Build-Depends: debhelper (>= 7.0.50~), cdbs, python-support (>= 0.4), python-all-dev, swig, make (>= 3.8), libglpk-dev (>= 4.43), libglpk-dev (<< 4.44)
Standards-Version: 3.8.4
Homepage: http://www.dcc.fc.up.pt/~jpp/code/python-glpk

Package: python-glpk
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libglpk0 (>= 4.43), libglpk0 (<< 4.44), python-ply (>= 3.3)
Provides: ${python:Provides}
Description: Python bindings to the GNU Linear Programming Kit
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 GLPK supports the GNU MathProg language, which is a subset of the
 AMPL language.  GLPK also supports the standard MPS and LP formats.
 . 
 This is the Python bindings to GLPK.
 .

## python-glpk 0.4.45

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,10 @@
 	cp -p ../$(DIR).tar.gz ../$(DIR).orig.tar.gz
 
 web:	deb
-	cp -p ../$(DIR).tar.gz ~/public_html/code/python-glpk
-	cp -p ../$(DIR)-*.deb ~/public_html/code/python-glpk
+	debuild clean
+	( cd .. && pwd && tar zcvf $(DIR).tar.gz $(DIR)/* )
+	cp -p ../*.orig.tar.gz ~/public_html/code/python-glpk
+	cp -p ../*.deb ~/public_html/code/python-glpk
 
 clean:
 	make -C src clean

=== debian/changelog ===
python-glpk (0.4.45-1) unstable; urgency=low

  * updated interface to GLPK version 4.45 (Closes: #638649).

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Mon, 29 Aug 2011 14:02:43 +0100

=== debian/control ===
Source: python-glpk
Section: python
Priority: optional
Maintainer: Joao Pedro Pedroso <jpp@fc.up.pt>
Build-Depends: debhelper (>= 8.0.0), cdbs, python-support (>= 1.0), python-all-dev, swig, make (>= 3.8), libglpk-dev (>= 4.45), libglpk-dev (<< 4.46)
Standards-Version: 3.9.2
Homepage: http://www.dcc.fc.up.pt/~jpp/code/python-glpk

Package: python-glpk
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libglpk0 (>= 4.45), libglpk0 (<< 4.46), python-ply (>= 3.4)
Provides: ${python:Provides}
Description: Python bindings to the GNU Linear Programming Kit
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 GLPK supports the GNU MathProg language, which is a subset of the
 AMPL language.  GLPK also supports the standard MPS and LP formats.
 . 
 This is the Python bindings to GLPK.
 .

=== debian/rules ===
#!/usr/bin/make -f

DEB_COMPRESS_EXCLUDE  := example.mps
DEB_PYTHON_SYSTEM = pysupport
DEB_SRCDIR := src

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk

## python-glpk 0.4.52

=== Makefile ===
DIR := $(shell basename `pwd`)
VER := '0.4.52'

all:	clean
	debuild clean
	( cd .. && pwd && tar zcvf $(DIR).tar.gz $(DIR)/* )
	( cd .. && cp $(DIR).tar.gz python-glpk_$(VER).orig.tar.gz )
	debuild

pub:	all
	cp -p ../python-glpk_$(VER).orig.tar.gz ~/public_html/code/python-glpk
	cp -p ../python-glpk_$(VER)-*.deb ~/public_html/code/python-glpk

start:	clean
	rm -rf debian
	( cd .. && pwd && tar zcvf $(DIR).tar.gz $(DIR)/* )
	cp -p ../$(DIR).tar.gz ../$(DIR).orig.tar.gz

clean:
	make -C src clean

.PHONY: install new deb web clean

=== src/Makefile ===
all:
	make -C swig all
	cp swig/glpkpi.py python/glpkpi.py
	python setup.py build

install: all
	python setup.py install

clean:
	make -C swig clean
	rm -rf build
	rm -f *.pyc *.pyo _glpkpi.so glpkpi.py
	rm -f python/*.pyc python/*.pyo python/_glpkpi.so python/glpkpi.py

.PHONY: all install clean

=== src/swig/Makefile ===
PYVERS := $(shell pyversions -d)
DIR := $(shell basename `pwd`)

all:	_glpkpi.so glpkpi.py

glpkpi.py:	glpkpi.i glpkpi.c glpkpi.h Makefile
	swig -python  glpkpi.i
	sed -i 's/:in /:_in /g' glpkpi.py

_glpkpi.so:	glpkpi.py glpkpi.o glpkpi_wrap.o
	gcc -Wall -shared glpkpi.o  glpkpi_wrap.o -lm -lglpk  -o _glpkpi.so

glpkpi.o:	glpkpi.c
	gcc -Wall -c -fPIC glpkpi.c -DHAVE_CONFIG_H -I/usr/include/$(PYVERS) -I/usr/lib/$(PYVERS)/config
glpkpi_wrap.o:	glpkpi_wrap.c
	gcc -Wall -c -fPIC glpkpi_wrap.c -DHAVE_CONFIG_H -I/usr/include/$(PYVERS) -I/usr/lib/$(PYVERS)/config
glpkpi_wrap.c:	glpkpi.i glpkpi.c glpkpi.h Makefile
	swig -python  glpkpi.i

clean:
	rm -f *.o *~ *.pyc *.pyo _*.so glpkpi_wrap.c glpkpi.py

=== debian/changelog ===
python-glpk (0.4.52-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable, for glpk transition.
  * debian/control: remove manually added versioned dependencies on libglpk0.
    The shared library is now libglpk36. Also, it is unnecessary to add such
    versioned dependencies, because SONAME versioning ensures that the package
    will work with newer versions of the library, and symbols/shlibs files
    ensure that the minimal required version is enforced.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 06 Dec 2013 17:11:11 +0100

python-glpk (0.4.52-1) experimental; urgency=low

  * updated interface to GLPK version 4.52
  * Bug fix: "glpk.glp_printf() fails", thanks to Xypron (Closes: #597017)
    [printf cannot be implemented due to a limitation in swig; function
    glp_printf is no longer available from python].
  * Bug fix: "FTBFS against glpk 4.51-1", thanks to Sebastien Villemot
    (Closes: #714211).

 -- Joao Pedro Pedroso <jpp@fc.up.pt>  Mon, 02 Sep 2013 13:49:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Joao Pedro Pedroso <jpp@fc.up.pt>
-Build-Depends: debhelper (>= 8.0.0), cdbs, python-support (>= 1.0), python-all-dev, swig, make (>= 3.8), libglpk-dev (>= 4.45), libglpk-dev (<< 4.46)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), cdbs (>= 0.4.90~), python-all-dev (>= 2.6.6-3~), swig, make (>= 3.8), libglpk-dev (>= 4.52), libglpk-dev (<< 4.53)
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.6
 Homepage: http://www.dcc.fc.up.pt/~jpp/code/python-glpk
 
 Package: python-glpk
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libglpk0 (>= 4.45), libglpk0 (<< 4.46), python-ply (>= 3.4)
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-ply (>= 3.4)
 Provides: ${python:Provides}
 Description: Python bindings to the GNU Linear Programming Kit
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 DEB_COMPRESS_EXCLUDE  := example.mps
-DEB_PYTHON_SYSTEM = pysupport
 DEB_SRCDIR := src
 
 include /usr/share/cdbs/1/rules/debhelper.mk
